/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdeHotelCompany;
import com.wechat.model.dto.HotelCompanyDto;

/**
 * 单表生成DAO接口
 * @author tangwc
 * @version 2018-05-23
 */
@Repository
public class MdeHotelCompanyDao extends BaseDao {
	
	public MdeHotelCompany getInfoById(int id) {
        return super.selectOne("MdeHotelCompanyMapper.get", id);
    }

	/*public List<MdeHotelCompany> getSimilarHotel(int userCode,int similarHotelsLimitSize) {
		Map<String,Object> map = new HashMap<String,Object>();
		map.put("userCode", userCode);
		map.put("limitSize", similarHotelsLimitSize);
		return super.select("MdeHotelCompanyMapper.getSimilarHotel", userCode);
	}

	public List<MdeHotelCompany> getRecommentHotels(int userCode, String lang, int recommentHotelsLimitSize) {
		Map<String,Object> map = new HashMap<String,Object>();
		map.put("userCode", userCode);
		map.put("lang", lang);
		map.put("limitSize", recommentHotelsLimitSize);
		return super.select("MdeHotelCompanyMapper.getRecommentHotels", map);
	}*/
	
	//获取所有酒店公司
	public List<HotelCompanyDto> getAllHotelCompany() {
        return super.select("MdeHotelCompanyMapper.getAllHotelCompany");
    }
	
	//根据语言获取所有酒店公司
    public List<MdeHotelCompany> getAllHotelCompanyByLang(Map<String, String> map) {
        return super.select("MdeHotelCompanyMapper.getAllHotelCompanyByLang",map);
    }
}